package com.adealink.weparty.commonui.recycleview.diffutil

import androidx.recyclerview.widget.DiffUtil

/**
 * DiffUtil 的回调类，支持 DiffableItemData 的数据比较.
 */
class BaseListDiffUtil<T : BaseListItemData> : DiffUtil.ItemCallback<T>() {
    override fun areItemsTheSame(oldItem: T, newItem: T): Boolean {
        return oldItem.areItemsTheSame(newItem)
    }

    override fun areContentsTheSame(oldItem: T, newItem: T): Boolean {
        return oldItem.areContentsTheSame(newItem)
    }
}